package main

import (
	"context"
	"encoding/json"
	"gitea.cdlsxd.cn/sdk/plugin/instance"
	"gitea.cdlsxd.cn/sdk/plugin/manage"
	"gitea.cdlsxd.cn/sdk/plugin/proto"
	"log"
	"plugins/utils/weixin"
)

var wechatCpnConf = &manage.Config{
	Cmd:         "pkg/mac/weixin_cpn.so",
	Tag:         "alipay_redpack",
	Version:     1,
	CookieKey:   "weixin_cpn",
	CookieValue: "weixin_cpn",
}

func getWechatCpnConf() []byte {
	c := &weixin.Server{
		MchID:                      "1605446142", // 证书所属商户
		MchCertificateSerialNumber: "4D081089DEB385316CBDCB55C070287E4920AC76",
		MchAPIv3Key:                "ChengDuLanSeXiongDi1234567890123",
	}
	marshal, _ := json.Marshal(c)
	return marshal
}

func wechatCpn() {
	err := manage.Add(wechatCpnConf)
	if err != nil {
		log.Fatalln(err)
	}
	queryRequest := &proto.QueryRequest{
		Config: getWechatCpnConf(),
		Order: &proto.QueryRequest_Order{
			OrderNo: "",
			TradeNo: "69445765514",
			Account: "oO3vO5AxRWgTjmMD38FTvnB5Rq6o",
			Extra:   []byte(`{"app_id":"wx9ed74283ad25bca1"}`),
		},
	}
	resQuery, err := instance.Query(context.Background(), alpayRedConf.Tag, queryRequest)
	if err != nil {
		log.Fatalln(err)
	}
	log.Printf("Query res:%+v", resQuery)
}
